Summary: A library for handling different graphics file formats
Name: netpbm
Version: 10.47.24
Release: 1
# See copyright_summary for details
License: BSD and GPLv2 and IJG and MIT and Public Domain
Group: System Environment/Libraries
URL: http://netpbm.sourceforge.net/
# Source0 is prepared by
# svn checkout https://netpbm.svn.sourceforge.net/svnroot/netpbm/stable netpbm-%{version}
# svn checkout https://netpbm.svn.sourceforge.net/svnroot/netpbm/userguide netpbm-%{version}/userguide
# and removing the .svn directories ( find -name "\.svn" -type d -print0 | xargs -0 rm -rf )
Source0: %{name}-%{version}.tar.bz2
Patch0: %{name}-%{version}-aix.patch
Patch1: netpbm-time.patch
Patch2: netpbm-message.patch
Patch3: netpbm-security-scripts.patch
Patch4: netpbm-security-code.patch
Patch5: netpbm-nodoc.patch
Patch6: netpbm-gcc4.patch
Patch7: netpbm-bmptopnm.patch
Patch8: netpbm-CAN-2005-2471.patch
Patch9: netpbm-xwdfix.patch
Patch11: netpbm-multilib.patch
Patch12: netpbm-pamscale.patch
Patch13: netpbm-glibc.patch
Patch14: netpbm-svgtopam.patch
Patch15: netpbm-docfix.patch
Patch16: netpbm-ppmfadeusage.patch
Patch17: netpbm-fiasco-overflow.patch
Patch18: netpbm-lz.patch
Patch19: netpbm-pnmmontagefix.patch
Patch21: netpbm-cmuwtopbm.patch
Patch22: netpbm-pamtojpeg2k.patch
Patch23: netpbm-manfix.patch

Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: patch, sed

BuildRequires: libjpeg-devel >= 6b-7
BuildRequires: libpng-devel >= 1.2.44-1
BuildRequires: libtiff-devel >= 3.9.4-2
BuildRequires: jasper-devel >= 1.900.1-2
BuildRequires: jbigkit-devel >= 2.0-2

%description
The netpbm package contains a library of functions which support
programs for handling various graphics file formats, including .pbm
(portable bitmaps), .pgm (portable graymaps), .pnm (portable anymaps),
.ppm (portable pixmaps) and others.


%package devel
Summary: Development tools for programs which will use the netpbm libraries
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
The netpbm-devel package contains the header files and static libraries,
etc., for developing programs which can handle the various graphics file
formats supported by the netpbm libraries.

Install netpbm-devel if you want to develop programs for handling the
graphics file formats supported by the netpbm libraries.  You'll also need
to have the netpbm package installed.


%package progs
Summary: Tools for manipulating graphics files in netpbm supported formats
Group: Applications/Multimedia
Requires: %{name} = %{version}-%{release}
Requires: libjpeg >= 6b-7
Requires: libpng >= 1.2.44-1
Requires: libtiff >= 3.9.4-2
Requires: jasper >= 1.900.1-2
Requires: jbigkit-libs >= 2.0-2

%description progs
The netpbm-progs package contains a group of scripts for manipulating the
graphics files in formats which are supported by the netpbm libraries.  For
example, netpbm-progs includes the rasttopnm script, which will convert a
Sun rasterfile into a portable anymap.  Netpbm-progs contains many other
scripts for converting from one graphics file format to another.

If you need to use these conversion scripts, you should install
netpbm-progs.  You'll also need to install the netpbm package.


%package doc
Summary: Documentation for tools manipulating graphics files in netpbm supported formats
Group: Applications/Multimedia
Requires: %{name}-progs = %{version}-%{release}

%description doc
The netpbm-doc package contains a documentation in HTML format for utilities
present in netpbm-progs package.

If you need to look into the HTML documentation, you should install
netpbm-doc.  You'll also need to install the netpbm-progs package.


%prep
%setup -q
export PATH=/opt/freeware/bin:$PATH
%patch1 -p1 -b .time
%patch2 -p1 -b .message
%patch3 -p1 -b .security-scripts
%patch4 -p1 -b .security-code
%patch5 -p1 -b .nodoc
%patch6 -p1 -b .gcc4
%patch7 -p1 -b .bmptopnm
%patch8 -p1 -b .CAN-2005-2471
%patch9 -p1 -b .xwdfix
%patch11 -p1 -b .multilib
%patch12 -p1 -b .pamscale
%patch13 -p1 -b .glibc
%patch14 -p1 -b .svgtopam
%patch15 -p1
%patch16 -p1 -b .ppmfadeusage
%patch17 -p1 -b .fiasco-overflow
%patch18 -p1 -b .lz
%patch19 -p1 -b .pnmmmontagefix
%patch21 -p1 -b .cmuwtopbmfix
%patch22 -p1 -b .pamtojpeg2kfix
%patch23 -p1 -b .manfix

%patch0

rm -rf converter/other/jpeg2000/libjasper/
sed -i -e 's/^SUBDIRS = libjasper/SUBDIRS =/' converter/other/jpeg2000/Makefile


%build
./configure <<EOF

aix
cc
regular
static
<inttypes.h>
libjpeg.a
default
libtiff.a
default
libz.a
default
/usr/X11R6/lib/libX11.a
default
http://netpbm.sourceforge.net/doc/
EOF
# hack to build a shared library out of the static library
cd lib
gmake %{?_smp_mflags}
CreateExportList lib%{name}.exp lib%{name}.a
cc -qmkshrobj lib%{name}.a -o shr.o -bE:lib%{name}.exp -lm
rm -f lib%{name}.a lib%{name}.exp
ar -rv lib%{name}.a shr.o
cd ..
# now start the regular build
gmake %{?_smp_mflags}


%install
rm -rf /tmp/%{name}-%{version}
gmake package pkgdir=/tmp/%{name}-%{version}
mkdir -p ${RPM_BUILD_ROOT}%{_prefix}
./installnetpbm <<EOF
/tmp/%{name}-%{version}
${RPM_BUILD_ROOT}%{_prefix}
${RPM_BUILD_ROOT}%{_bindir}
${RPM_BUILD_ROOT}%{_libdir}
${RPM_BUILD_ROOT}%{_libdir}
${RPM_BUILD_ROOT}%{_includedir}
${RPM_BUILD_ROOT}%{_mandir}
N
EOF

(
  cd ${RPM_BUILD_ROOT}
  for dir in bin include lib
  do
    mkdir -p usr/${dir}
    cd usr/${dir}
    ln -sf ../..%{_prefix}/${dir}/* .
    cd -
  done
)


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
rm -rf /tmp/%{name}-%{version}


%files
%defattr(-,root,system)
%doc doc/copyright_summary doc/COPYRIGHT.PATENT doc/GPL_LICENSE.txt
%doc doc/HISTORY README
%{_libdir}/*.a
/usr/lib/*.a


%files devel
%defattr(-,root,system)
%{_includedir}/*
%{_mandir}/man3/*
/usr/include/*


%files progs
%defattr(-,root,system)
%{_bindir}/*
%{_libdir}/p*
%{_libdir}/rgb*
%{_mandir}/man1/*
%{_mandir}/man5/*
/usr/bin/*


%files doc
%defattr(-,root,system)
%doc userguide/*


%changelog
* Tue Jan 11 2011 Michael Perzl <michael@perzl.org> - 10.47.24-1
- updated to version 10.47.24

* Thu May 08 2008 Michael Perzl <michael@perzl.org> - stable_svn2008.04.23-1
- first version for AIX V5.1 and higher
